Subject: Re: [PATCH] Security: Implement and document RLIMIT_NETWORK.

From: Rémi Denis-Courmont <[email-masked]>
Date: Wed, 7 Jan 2009 18:52:27 +0200

Le mercredi 7 janvier 2009 13:47:03 Evgeniy Polyakov, vous avez écrit :
> The same goal can be achieved with 'owner' iptables match module btw.

Err no. iptables is _not_ suitable for userland applications dropping their 
_own_ privileges. For privileged processes, it's clumsy at best, as iptables 
does not quite work if more than one applications uses it. That's typically 
your firewall configuration wizard or some custom admin-made script.
As for UNprivileged processes, iptables is not allowed.

As I understand it, Michael is trying to build something similar to SECCOMP, 
only way less restrictive and way more usable by real-life userland programs.

-- 
Rémi Denis-Courmont
http://www.remlab.net/